Sub Printout()
'
' Macro for turning tables into text before printout
' Macro created 04-04-05 by Mats Linder

  Dim iResponse As Integer
  Dim tTable As Table
  'If any tables exist, loop through each table in collection.
  For Each tTable In ActiveDocument.Tables
     tTable.Select
     Selection.Rows.ConvertToText Separator:=wdSeparateByParagraphs
  Next
'    MsgBox prompt:="Omvandling klar. Fortstta?"
'    If Response = vbOK Then GoTo Vidare
'Vidare:
    Application.Run MacroName:="Printout1"
    
End Sub
Sub Printout1()
'
' Macro for printout of Trados translation; delete tags
' Macro created 03-01-14 by Mats Linder
'
    Selection.Find.ClearFormatting
    Selection.Find.Replacement.ClearFormatting
    With Selection.Find
        .Text = "^m"
        .Replacement.Text = ""
        .Forward = True
        .Wrap = wdFindContinue
    End With
    Selection.Find.Execute Replace:=wdReplaceAll
    
    Application.DisplayStatusBar = True
    With ActiveWindow
        .DisplayHorizontalScrollBar = True
        .DisplayVerticalScrollBar = True
        .StyleAreaWidth = CentimetersToPoints(0)
        .DisplayScreenTips = True
        With .View
            .ShowHiddenText = True
        End With
    End With
    Selection.Find.ClearFormatting
    
    Selection.Find.ClearFormatting
    Selection.Find.Replacement.ClearFormatting
    With Selection.Find
        .Text = "^b"
        .Replacement.Text = "^p"
        .Forward = True
        .Wrap = wdFindContinue
    End With
    Selection.Find.Execute Replace:=wdReplaceAll
    
    Selection.Find.ClearFormatting
    Selection.Find.Replacement.ClearFormatting
    Selection.Find.Replacement.Font.ColorIndex = wdAuto
    With Selection.Find
        .Text = "^p"
        .Replacement.Text = "^p"
        .Forward = True
        .Wrap = wdFindContinue
        .Format = True
    End With
    Selection.Find.Execute Replace:=wdReplaceAll
    
    Selection.Find.ClearFormatting
    Selection.Find.Font.ColorIndex = wdGray50
    Selection.Find.Replacement.ClearFormatting
    With Selection.Find
        .Text = ""
        .Replacement.Text = ""
        .Forward = True
        .Wrap = wdFindContinue
    End With
    Selection.Find.Execute Replace:=wdReplaceAll
    
    Selection.Find.ClearFormatting
    Selection.Find.Font.ColorIndex = wdViolet
    Selection.Find.Replacement.ClearFormatting
    With Selection.Find
        .Text = ""
        .Replacement.Text = ""
        .Forward = True
        .Wrap = wdFindContinue
        .Format = True
    End With
    Selection.Find.Execute Replace:=wdReplaceAll
    
    Selection.Find.ClearFormatting
    Selection.Find.Font.ColorIndex = wdRed
    Selection.Find.Replacement.ClearFormatting
    Selection.Find.Replacement.Font.ColorIndex = wdAuto
    With Selection.Find
        .Text = ""
        .Replacement.Text = ""
        .Forward = True
        .Wrap = wdFindContinue
        .Format = True
    End With
    Selection.Find.Execute Replace:=wdReplaceAll
    
    Selection.HomeKey Unit:=wdStory
    Selection.Find.ClearFormatting
    Selection.Find.Replacement.ClearFormatting
    With Selection.Find
        .Text = "^p^p"
        .Replacement.Text = "^p"
        .Forward = True
        .Wrap = wdFindContinue
    End With
    Selection.Find.Execute Replace:=wdReplaceAll
    Selection.Find.Execute Replace:=wdReplaceAll
    Selection.Find.Execute Replace:=wdReplaceAll
    Selection.Find.Execute Replace:=wdReplaceAll
    Selection.Find.Execute Replace:=wdReplaceAll
    Selection.Find.Execute Replace:=wdReplaceAll
    Selection.Find.Execute Replace:=wdReplaceAll
    Selection.Find.Execute Replace:=wdReplaceAll
    Selection.Find.Execute Replace:=wdReplaceAll
    
    Selection.Find.ClearFormatting
    Selection.Find.Replacement.ClearFormatting
    With Selection.Find
        .Text = "^p ^p"
        .Replacement.Text = "^p"
        .Forward = True
        .Wrap = wdFindContinue
    End With
    Selection.Find.Execute Replace:=wdReplaceAll
    Selection.Find.Execute Replace:=wdReplaceAll
    Selection.Find.Execute Replace:=wdReplaceAll
    
    Application.Run MacroName:="Printout2"
End Sub
Sub Printout2()
'
' Makro for printout of Trados translation; copy to new document
' Macro created 03-01-14 by Mats Linder
'
    Selection.WholeStory
    Selection.Copy
    Documents.Add Template:="Normal", NewTemplate:=False
    Selection.Paste
    Application.Run MacroName:="Printout3"
End Sub
Sub Printout3()
'
' Makro for printout of Trados translation; create table with target terms
' Macro created 03-01-14 by Mats Linder
'
    Selection.Find.ClearFormatting
    Selection.Find.Font.ColorIndex = wdBlue
    Selection.Find.Replacement.ClearFormatting
    With Selection.Find
        .Text = ""
        .Replacement.Text = ""
        .Forward = True
        .Wrap = wdFindContinue
        .Format = True
    End With
    Selection.Find.Execute Replace:=wdReplaceAll
    
    Selection.HomeKey Unit:=wdStory
    Selection.Find.ClearFormatting
    Selection.Find.Replacement.ClearFormatting
    With Selection.Find
        .Text = "^p^p"
        .Replacement.Text = "^p"
        .Forward = True
        .Wrap = wdFindContinue
    End With
    Selection.Find.Execute Replace:=wdReplaceAll
    Selection.Find.Execute Replace:=wdReplaceAll
    Selection.Find.Execute Replace:=wdReplaceAll
    Selection.Find.Execute Replace:=wdReplaceAll
    Selection.Find.Execute Replace:=wdReplaceAll
    Selection.Find.Execute Replace:=wdReplaceAll
    Selection.Find.Execute Replace:=wdReplaceAll
    
    Selection.WholeStory
    CommandBars("Formatting").Visible = True
    Selection.Font.ColorIndex = wdAuto
    Selection.ConvertToTable Separator:=wdSeparateByParagraphs, NumColumns:=1, _
         NumRows:=1442, Format:=wdTableFormatNone, ApplyBorders:=True, _
        ApplyShading:=True, ApplyFont:=True, ApplyColor:=True, ApplyHeadingRows:= _
        True, ApplyLastRow:=False, ApplyFirstColumn:=True, ApplyLastColumn:=False _
        , AutoFit:=False
    Application.Run MacroName:="Printout4"
End Sub
Sub Printout4()
'
' Makro for printout of Trados translation; edit target table
' Macro created 03-01-14 by Mats Linder
'
Dim winname1$
Dim winname2$
    Selection.Cells.HeightRule = wdRowHeightAuto
    With Selection.Rows
        .Alignment = wdAlignRowLeft
        .AllowBreakAcrossPages = True
        .SetLeftIndent LeftIndent:=CentimetersToPoints(0), RulerStyle:= _
            wdAdjustNone
    End With
    Selection.Cells.SetWidth ColumnWidth:=CentimetersToPoints(9), RulerStyle:= _
        wdAdjustNone
    Selection.Rows.SpaceBetweenColumns = CentimetersToPoints(0.25)
    Selection.SelectColumn
    winname1$ = WordBasic.[WindowName$]()
    Windows(1).Activate
    winname2$ = WordBasic.[WindowName$]()
    If winname2$ = winname1$ Then
    Windows(2).Activate
    End If
    Application.Run MacroName:="Printout5"
End Sub
Sub Printout5()
'
' Makro for printout of Trados translation; create table with source terms
' Macro created 03-01-14 by Mats Linder
'
    Selection.Find.ClearFormatting
    Selection.Find.Font.ColorIndex = wdGreen
    Selection.Find.Replacement.ClearFormatting
    With Selection.Find
        .Text = ""
        .Replacement.Text = ""
        .Forward = True
        .Wrap = wdFindContinue
        .Format = True
    End With
    Selection.Find.Execute Replace:=wdReplaceAll
    
    Selection.WholeStory
    Selection.Font.ColorIndex = wdAuto
    Application.DisplayStatusBar = True
    With ActiveWindow
        .DisplayHorizontalScrollBar = True
        .DisplayVerticalScrollBar = True
        .StyleAreaWidth = CentimetersToPoints(0)
        .DisplayScreenTips = True
        With .View
            .ShowAnimation = True
            .Draft = False
            .WrapToWindow = False
            .ShowPicturePlaceHolders = False
            .ShowFieldCodes = False
            .ShowBookmarks = True
            .FieldShading = wdFieldShadingAlways
            .ShowAll = True
        End With
    End With
    
    Selection.HomeKey Unit:=wdStory
    Selection.Find.ClearFormatting
    Selection.Find.Replacement.ClearFormatting
    With Selection.Find
        .Text = "^p^p"
        .Replacement.Text = "^p"
        .Forward = True
        .Wrap = wdFindContinue
    End With
    Selection.Find.Execute Replace:=wdReplaceAll
    Selection.Find.Execute Replace:=wdReplaceAll
    Selection.Find.Execute Replace:=wdReplaceAll
    Selection.Find.Execute Replace:=wdReplaceAll
    Selection.Find.Execute Replace:=wdReplaceAll
    Selection.Find.Execute Replace:=wdReplaceAll
    Selection.Find.Execute Replace:=wdReplaceAll
    
    Selection.WholeStory
    Selection.ConvertToTable Separator:=wdSeparateByParagraphs, NumColumns:=1, _
         NumRows:=1442, Format:=wdTableFormatNone, ApplyBorders:=True, _
        ApplyShading:=True, ApplyFont:=True, ApplyColor:=True, ApplyHeadingRows:= _
        True, ApplyLastRow:=False, ApplyFirstColumn:=True, ApplyLastColumn:=False _
        , AutoFit:=False
    Selection.Font.Hidden = False
    Application.Run MacroName:="Printout6"
End Sub
Sub Printout6()
'
' Makro for printout of Trados translation; combine tables; edit layout
' Macro created 03-01-14 by Mats Linder
'
Dim winname1$
Dim winname2$
    Selection.Cells.HeightRule = wdRowHeightAuto
    With Selection.Rows
        .Alignment = wdAlignRowLeft
        .AllowBreakAcrossPages = True
        .SetLeftIndent LeftIndent:=CentimetersToPoints(0), RulerStyle:= _
            wdAdjustNone
    End With
    Selection.Cells.SetWidth ColumnWidth:=CentimetersToPoints(9), RulerStyle:= _
        wdAdjustNone
    Selection.Rows.SpaceBetweenColumns = CentimetersToPoints(0.25)
    Selection.MoveUp Unit:=wdLine, Count:=1
    Selection.EndKey Unit:=wdLine
    Selection.MoveDown Unit:=wdParagraph, Count:=1
    Selection.EndKey Unit:=wdColumn, Extend:=True
    winname1$ = WordBasic.[WindowName$]()
    Windows(1).Activate
    winname2$ = WordBasic.[WindowName$]()
    If winname2$ = winname1$ Then
    Windows(2).Activate
    End If
    Selection.Copy
    winname1$ = WordBasic.[WindowName$]()
    Windows(1).Activate
    winname2$ = WordBasic.[WindowName$]()
    If winname2$ = winname1$ Then
    Windows(2).Activate
    End If
    Selection.Paste
    Selection.MoveLeft Unit:=wdCharacter, Count:=1
    Selection.Sections(1).Footers(1).PageNumbers.Add PageNumberAlignment:= _
        wdAlignPageNumberRight, FirstPage:=True
    With ActiveDocument.PageSetup
        .TopMargin = CentimetersToPoints(1)
        .BottomMargin = CentimetersToPoints(1)
        .LeftMargin = CentimetersToPoints(1.5)
        .RightMargin = CentimetersToPoints(3.5)
        .HeaderDistance = CentimetersToPoints(1.25)
        .FooterDistance = CentimetersToPoints(1.25)
    End With
    Selection.Tables(1).Select
    With Selection.Borders(wdBorderTop)
        .LineStyle = Options.DefaultBorderLineStyle
        .LineWidth = Options.DefaultBorderLineWidth
        .Color = Options.DefaultBorderColor
    End With
    With Selection.Borders(wdBorderLeft)
        .LineStyle = Options.DefaultBorderLineStyle
        .LineWidth = Options.DefaultBorderLineWidth
        .Color = Options.DefaultBorderColor
    End With
    With Selection.Borders(wdBorderBottom)
        .LineStyle = Options.DefaultBorderLineStyle
        .LineWidth = Options.DefaultBorderLineWidth
        .Color = Options.DefaultBorderColor
    End With
    With Selection.Borders(wdBorderRight)
        .LineStyle = Options.DefaultBorderLineStyle
        .LineWidth = Options.DefaultBorderLineWidth
        .Color = Options.DefaultBorderColor
    End With
    With Selection.Borders(wdBorderHorizontal)
        .LineStyle = Options.DefaultBorderLineStyle
        .LineWidth = Options.DefaultBorderLineWidth
        .Color = Options.DefaultBorderColor
    End With
    With Selection.Borders(wdBorderVertical)
        .LineStyle = Options.DefaultBorderLineStyle
        .LineWidth = Options.DefaultBorderLineWidth
        .Color = Options.DefaultBorderColor
    End With
Selection.MoveUp Unit:=wdLine, Count:=1
End Sub
